# DS3231M
<img src="https://github.com/SV-Zanshin/DS3231M/blob/master/Images/ds3231m-real-time-clock-ic.jpg" width="175" align="right"/> The [DS3231M real time clock](https://www.maximintegrated.com/en/products/digital/real-time-clocks/DS3231M.html) is a low-cost, extremely accurate, I2C realtime clock (RTC). The device incorporates a battery input and maintains accurate timekeeping when main power to the device is interrupted. The integration of the microelectromechanical systems (MEMS) resonator enhances the long-term accuracy of the device and reduces the piecepart count in a manufacturing line. The DS3231M is available in the same footprint as the popular DS3231 RTC.

# DS3231M library
*Arduino* library for accessing the maxim integrated . This clock requires no external components and with an internal temperature-compensated oscillator it is extremely accurate, to within ±5ppm or ±0.432 Second/Day. The library allows setting the date/time and alarms as well as accessing other information on the DS3231M.

## Overview
The DS3231M is available as a SO8 or SO16 package and runs on both 3V and 5V systems. It has two alarms and also battery backup circuitry and requires no external crystals/oscillators or capacitors to run.

## Description
A detailed description of the library along with further details are available at the GitHub [DS3231M Wiki](https://github.com/SV-Zanshin/DS3231M/wiki). This includes wiring information and sample sketches that illustrate the library and it's functionality.

![Zanshin Logo](https://www.sv-zanshin.com/r/images/site/gif/zanshinkanjitiny.gif) <img src="https://www.sv-zanshin.com/r/images/site/gif/zanshintext.gif" width="75"/>
